Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.comp
Class CXMLParser

`java.lang.Object
oracle.xml.comp.CXMLParser`

      public class CXMLParser

extends java.lang.Object

This class implements the re-generation of XML document from the compressed stream by generating the SAX events from them.

Constructor Summary
`CXMLParser()` Creates a new XML Parser object for reading the compressed stream.

Method Summary
`ContentHandler` `getContentHandler()` Get content handler
`ErrorHandler` `getErrorHandler()` Get the current error handler
`void` `parse(java.io.ObjectInput objIn)` Parse the compressed stream and generates the SAX events.
`void` `parse(java.lang.String inFile)` Parse the compressed stream and generates the SAX events.
`void` `setContentHandler(ContentHandler handler)` Register a content event handler
`void` `setErrorHandler(ErrorHandler handler)` Register an error event handler

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CXMLParser

    public CXMLParser()

  Creates a new XML Parser object for reading the compressed stream.

Method Detail

### setContentHandler

    public void setContentHandler(ContentHandler handler)

  Register a content event handler
  Parameters:
    `handler` - The content handler

### getContentHandler

    public ContentHandler getContentHandler()

  Get content handler
  Returns:
    The current content handler or null if none has been registered.

### setErrorHandler

    public void setErrorHandler(ErrorHandler handler)

  Register an error event handler
  Parameters:
    `handler` - The error handler

### getErrorHandler

    public ErrorHandler getErrorHandler()

  Get the current error handler
  Returns:
    The current error handler, or null if none has been registered

### parse

    public void parse(java.lang.String inFile)
               throws java.io.IOException,
                      SAXException

  Parse the compressed stream and generates the SAX events.
  Parameters:
    `inFile` - The input source which needs to be parsed to regenerate the SAX events.
  Throws:
    `SAXException` - any SAX exception
    `java.io.IOException` - an error due to I/O operations

### parse

    public void parse(java.io.ObjectInput objIn)
               throws java.io.IOException,
                      SAXException

  Parse the compressed stream and generates the SAX events.
  Parameters:
    `objIn` - The input source which needs to be parsed to regenerate the SAX events.
  Throws:
    `SAXException` - any SAX exception
    `java.io.IOException` - an error due to I/O operations

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.